Index: doc/latex/classUserInfo__inherit__graph.eps
===================================================================
--- doc/latex/classUserInfo__inherit__graph.eps (revision 140)
+++ doc/latex/classUserInfo__inherit__graph.eps (revision 162)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sat Aug 16 05:41:32 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,244 +180,775 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 266 258
+%%PageBoundingBox: 36 36 942 425
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 230 222 boxprim clip newpath
+36 36 906 389 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 50 132 moveto
-50 153 lineto
-134 153 lineto
-134 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 50 132 moveto
-50 153 lineto
-134 153 lineto
-134 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-58 139.5 moveto 68 (UserInfo< T >) alignedtext
+newpath 120 206 moveto
+120 227 lineto
+176 227 lineto
+176 206 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 120 206 moveto
+120 227 lineto
+176 227 lineto
+176 206 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+128 213.5 moveto 40 (UserInfo) alignedtext
 grestore
 % Node3
 gsave
-[ /Rect [ 0 61 94 81 ]
+[ /Rect [ 215 207 325 227 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classUserInfo.html) >>
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 60 moveto
-0 81 lineto
-95 81 lineto
-95 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 60 moveto
-0 81 lineto
-95 81 lineto
-95 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 67.5 moveto 79 (UserInfo< Car >) alignedtext
+newpath 215 206 moveto
+215 227 lineto
+326 227 lineto
+326 206 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 215 206 moveto
+215 227 lineto
+326 227 lineto
+326 206 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+222.5 213.5 moveto 95 (TypedUserInfo< T >) alignedtext
 grestore
 % Node1->Node3
 gsave
 1 setlinewidth
-dashed
-0.106 1.000 1.000 edgecolor
-newpath 79 123 moveto
-71 110 59 92 53 81 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 76.54 125.62 moveto
-85 132 lineto
-82.37 121.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 76.54 125.62 moveto
-85 132 lineto
-82.37 121.74 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-75.5 104.5 moveto 39 (< Car >) alignedtext
-grestore
-% Node5
-gsave
-[ /Rect [ 112 61 222 81 ]
+solid
+0.667 0.776 0.439 edgecolor
+newpath 186 217 moveto
+195 217 205 217 215 217 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 186 213.5 moveto
+176 217 lineto
+186 220.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 186 213.5 moveto
+176 217 lineto
+186 220.5 lineto
+closepath stroke
+grestore
+% Node18
+gsave
+[ /Rect [ 418 226 556 246 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classUserInfo.html) >>
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 112 60 moveto
-112 81 lineto
-223 81 lineto
-223 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 112 60 moveto
-112 81 lineto
-223 81 lineto
-223 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-119.5 67.5 moveto 95 (UserInfo< Engine >) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-dashed
-0.106 1.000 1.000 edgecolor
-newpath 111 125 moveto
-126 111 145 93 157 81 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 108.6 122.45 moveto
-104 132 lineto
-113.55 127.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 108.6 122.45 moveto
-104 132 lineto
-113.55 127.4 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-131.5 104.5 moveto 55 (< Engine >) alignedtext
-grestore
-% Node2
-gsave
-[ /Rect [ 53 193 131 213 ]
+newpath 418 225 moveto
+418 246 lineto
+556 246 lineto
+556 225 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 418 225 moveto
+418 246 lineto
+556 246 lineto
+556 225 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+426 232.5 moveto 122 (TypedUserInfo< double >) alignedtext
+grestore
+% Node1->Node18
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 173 232 moveto
+209 254 279 291 344 305 curveto
+369 310 380 319 400 305 curveto
+420 291 401 271 418 255 curveto
+422 251 426 248 431 246 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 174.44 228.8 moveto
+164 227 lineto
+171.04 234.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 174.44 228.8 moveto
+164 227 lineto
+171.04 234.92 lineto
+closepath stroke
+grestore
+% Node19
+gsave
+[ /Rect [ 429 95 545 115 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classUserInfoCore.html) >>
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 53 192 moveto
-53 213 lineto
-131 213 lineto
-131 192 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 53 192 moveto
-53 213 lineto
-131 213 lineto
-131 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-61 199.5 moveto 62 (UserInfoCore) alignedtext
-grestore
-% Node2->Node1
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 92 182 moveto
-92 172 92 161 92 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 88.5 182 moveto
-92 192 lineto
-95.5 182 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 88.5 182 moveto
-92 192 lineto
-95.5 182 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 26 1 68 21 ]
+newpath 429 94 moveto
+429 115 lineto
+546 115 lineto
+546 94 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 429 94 moveto
+429 115 lineto
+546 115 lineto
+546 94 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+436.5 101.5 moveto 101 (TypedUserInfo< int >) alignedtext
+grestore
+% Node1->Node19
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 174 200 moveto
+210 177 280 136 344 118 curveto
+371 110 403 107 429 106 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 171.38 197.54 moveto
+165 206 lineto
+175.26 203.37 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 171.38 197.54 moveto
+165 206 lineto
+175.26 203.37 lineto
+closepath stroke
+grestore
+% Node20
+gsave
+[ /Rect [ 421 38 553 58 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classCarUI.html) >>
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 26 0 moveto
-26 21 lineto
-68 21 lineto
-68 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 26 0 moveto
-26 21 lineto
-68 21 lineto
-68 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-34 7.5 moveto 26 (CarUI) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 47 50 moveto
-47 40 47 29 47 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 43.5 50 moveto
-47 60 lineto
-50.5 50 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 43.5 50 moveto
-47 60 lineto
-50.5 50 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 138 1 196 21 ]
+newpath 421 37 moveto
+421 58 lineto
+553 58 lineto
+553 37 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 421 37 moveto
+421 58 lineto
+553 58 lineto
+553 37 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+429 44.5 moveto 116 (TypedUserInfo< string >) alignedtext
+grestore
+% Node1->Node20
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158 197 moveto
+169 176 189 143 214 121 curveto
+263 79 282 74 344 57 curveto
+369 51 396 48 421 47 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 154.8 195.56 moveto
+153 206 lineto
+160.92 198.96 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154.8 195.56 moveto
+153 206 lineto
+160.92 198.96 lineto
+closepath stroke
+grestore
+% Node21
+gsave
+[ /Rect [ 426 322 548 342 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEngineUI.html) >>
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 138 0 moveto
-138 21 lineto
-196 21 lineto
-196 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 138 0 moveto
-138 21 lineto
-196 21 lineto
-196 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-146 7.5 moveto 42 (EngineUI) alignedtext
+newpath 426 321 moveto
+426 342 lineto
+548 342 lineto
+548 321 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 426 321 moveto
+426 342 lineto
+548 342 lineto
+548 321 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+434 328.5 moveto 106 (TypedUserInfo< Car >) alignedtext
+grestore
+% Node1->Node21
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161 235 moveto
+174 251 194 274 214 290 curveto
+266 329 281 341 344 357 curveto
+369 362 376 360 400 357 curveto
+409 355 410 353 418 351 curveto
+428 348 438 345 448 342 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 163.8 232.9 moveto
+155 227 lineto
+158.2 237.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 163.8 232.9 moveto
+155 227 lineto
+158.2 237.1 lineto
+closepath stroke
+grestore
+% Node22
+gsave
+[ /Rect [ 424 0 550 20 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 424 -1 moveto
+424 20 lineto
+550 20 lineto
+550 -1 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 424 -1 moveto
+424 20 lineto
+550 20 lineto
+550 -1 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+432 6.5 moveto 110 (TypedUserInfo< bool >) alignedtext
+grestore
+% Node1->Node22
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150 196 moveto
+156 161 172 94 214 59 curveto
+274 11 364 4 424 5 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.51 195.7 moveto
+149 206 lineto
+153.48 196.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.51 195.7 moveto
+149 206 lineto
+153.48 196.4 lineto
+closepath stroke
+grestore
+% Node23
+gsave
+[ /Rect [ 424 360 550 380 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classTypedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 424 359 moveto
+424 380 lineto
+550 380 lineto
+550 359 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 424 359 moveto
+424 380 lineto
+550 380 lineto
+550 359 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+432 366.5 moveto 110 (TypedUserInfo< Bike >) alignedtext
+grestore
+% Node1->Node23
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154 237 moveto
+163 263 182 308 214 333 curveto
+274 379 364 383 424 378 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 157.23 235.57 moveto
+151 227 lineto
+150.52 237.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 157.23 235.57 moveto
+151 227 lineto
+150.52 237.58 lineto
+closepath stroke
+grestore
+% Node2
+gsave
+[ /Rect [ 1 207 81 227 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classBindingFrame.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1 206 moveto
+1 227 lineto
+82 227 lineto
+82 206 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1 206 moveto
+1 227 lineto
+82 227 lineto
+82 206 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8.5 213.5 moveto 65 (BindingFrame) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.333 1.000 0.392 edgecolor
+newpath 92 217 moveto
+102 217 111 217 120 217 curveto
+stroke
+0.333 1.000 0.392 edgecolor
+newpath 92 213.5 moveto
+82 217 lineto
+92 220.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.333 1.000 0.392 edgecolor
+newpath 92 213.5 moveto
+82 217 lineto
+92 220.5 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 419 264 555 284 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classCompoundUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 419 263 moveto
+419 284 lineto
+555 284 lineto
+555 263 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 419 263 moveto
+419 284 lineto
+555 284 lineto
+555 263 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+427 270.5 moveto 120 (CompoundUserInfo< T >) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 304 230 moveto
+317 235 331 240 344 244 curveto
+371 251 401 258 427 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 305.59 226.84 moveto
+295 227 lineto
+303.38 233.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 305.59 226.84 moveto
+295 227 lineto
+303.38 233.48 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 429 164 545 184 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classValuedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 429 163 moveto
+429 184 lineto
+545 184 lineto
+545 163 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 429 163 moveto
+429 184 lineto
+545 184 lineto
+545 163 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+437 170.5 moveto 100 (ValuedUserInfo< T >) alignedtext
+grestore
+% Node3->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 336 204 moveto
+368 197 406 190 436 184 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 335.12 200.61 moveto
+326 206 lineto
+336.49 207.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 335.12 200.61 moveto
+326 206 lineto
+336.49 207.47 lineto
+closepath stroke
+grestore
+% Node3->Node18
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 336 223 moveto
+362 226 392 228 418 230 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 336.3 219.51 moveto
+326 222 lineto
+335.6 226.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 336.3 219.51 moveto
+326 222 lineto
+335.6 226.48 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+344.5 230.5 moveto 55 (< double >) alignedtext
+grestore
+% Node3->Node19
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 298 201 moveto
+312 194 329 184 344 176 curveto
+369 164 376 163 400 151 curveto
+425 139 452 125 469 115 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 296.04 198.08 moveto
+289 206 lineto
+299.44 204.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 296.04 198.08 moveto
+289 206 lineto
+299.44 204.2 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+354.5 183.5 moveto 35 (< int >) alignedtext
+grestore
+% Node3->Node20
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 285 198 moveto
+299 180 322 154 344 134 curveto
+374 109 385 107 418 86 curveto
+435 77 455 66 469 58 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 282.2 195.9 moveto
+279 206 lineto
+287.8 200.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 282.2 195.9 moveto
+279 206 lineto
+287.8 200.1 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+347 141.5 moveto 50 (< string >) alignedtext
+grestore
+% Node3->Node21
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 295 232 moveto
+309 241 328 252 344 262 curveto
+386 284 435 307 463 321 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 296.44 228.8 moveto
+286 227 lineto
+293.04 234.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 296.44 228.8 moveto
+286 227 lineto
+293.04 234.92 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+352.5 291.5 moveto 39 (< Car >) alignedtext
+grestore
+% Node3->Node22
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 278 197 moveto
+290 169 313 117 344 82 curveto
+371 52 382 47 418 29 curveto
+426 26 434 23 442 20 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 274.86 195.44 moveto
+274 206 lineto
+281.26 198.28 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 274.86 195.44 moveto
+274 206 lineto
+281.26 198.28 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+350.5 92.5 moveto 43 (< bool >) alignedtext
+grestore
+% Node3->Node23
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 283 235 moveto
+297 254 320 284 344 305 curveto
+374 330 383 335 418 351 curveto
+425 354 433 357 441 359 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 285.8 232.9 moveto
+277 227 lineto
+280.2 237.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 285.8 232.9 moveto
+277 227 lineto
+280.2 237.1 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+350.5 343.5 moveto 43 (< Bike >) alignedtext
+grestore
+% Node5
+gsave
+[ /Rect [ 651 264 797 284 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classCompoundUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 651 263 moveto
+651 284 lineto
+798 284 lineto
+798 263 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 651 263 moveto
+651 284 lineto
+798 284 lineto
+798 263 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+658.5 270.5 moveto 131 (CompoundUserInfo< Car >) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 565 273 moveto
+568 273 571 273 574 273 curveto
+599 272 606 272 630 273 curveto
+637 273 644 273 651 273 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 565 269.5 moveto
+555 273 lineto
+565 276.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 565 269.5 moveto
+555 273 lineto
+565 276.5 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+582.5 276.5 moveto 39 (< Car >) alignedtext
+grestore
+% Node7
+gsave
+[ /Rect [ 649 328 799 348 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classCompoundUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 649 327 moveto
+649 348 lineto
+800 348 lineto
+800 327 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 649 327 moveto
+649 348 lineto
+800 348 lineto
+800 327 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+656.5 334.5 moveto 135 (CompoundUserInfo< Bike >) alignedtext
+grestore
+% Node4->Node7
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 534 287 moveto
+577 299 642 316 683 327 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 534.58 283.52 moveto
+524 284 lineto
+532.57 290.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 534.58 283.52 moveto
+524 284 lineto
+532.57 290.23 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+580.5 313.5 moveto 43 (< Bike >) alignedtext
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 847 263 moveto
+847 284 lineto
+889 284 lineto
+889 263 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 847 263 moveto
+847 284 lineto
+889 284 lineto
+889 263 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+855 270.5 moveto 26 (CarUI) alignedtext
 grestore
 % Node5->Node6
@@ -426,18 +957,552 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 167 50 moveto
-167 40 167 29 167 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 163.5 50 moveto
-167 60 lineto
-170.5 50 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 163.5 50 moveto
-167 60 lineto
-170.5 50 lineto
+newpath 808 274 moveto
+823 274 836 274 847 274 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 808 270.5 moveto
+798 274 lineto
+808 277.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 808 270.5 moveto
+798 274 lineto
+808 277.5 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 845 327 moveto
+845 348 lineto
+891 348 lineto
+891 327 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 845 327 moveto
+845 348 lineto
+891 348 lineto
+891 327 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+853 334.5 moveto 30 (BikeUI) alignedtext
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 810 338 moveto
+823 338 835 338 845 338 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 810 334.5 moveto
+800 338 lineto
+810 341.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 810 334.5 moveto
+800 338 lineto
+810 341.5 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 653 213 795 233 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classValuedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 653 212 moveto
+653 233 lineto
+796 233 lineto
+796 212 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 653 212 moveto
+653 233 lineto
+796 233 lineto
+796 212 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+660.5 219.5 moveto 127 (ValuedUserInfo< double >) alignedtext
+grestore
+% Node9->Node10
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 546 186 moveto
+584 194 634 204 671 212 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 546.49 182.53 moveto
+536 184 lineto
+545.12 189.39 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 546.49 182.53 moveto
+536 184 lineto
+545.12 189.39 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+574.5 208.5 moveto 55 (< double >) alignedtext
+grestore
+% Node12
+gsave
+[ /Rect [ 663 139 785 159 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classValuedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 663 138 moveto
+663 159 lineto
+786 159 lineto
+786 138 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 663 138 moveto
+663 159 lineto
+786 159 lineto
+786 138 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+670.5 145.5 moveto 107 (ValuedUserInfo< int >) alignedtext
+grestore
+% Node9->Node12
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 555 167 moveto
+590 163 630 159 663 155 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 554.6 163.52 moveto
+545 168 lineto
+555.3 170.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 554.6 163.52 moveto
+545 168 lineto
+555.3 170.49 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+584.5 169.5 moveto 35 (< int >) alignedtext
+grestore
+% Node14
+gsave
+[ /Rect [ 655 89 793 109 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classValuedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 655 88 moveto
+655 109 lineto
+793 109 lineto
+793 88 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 655 88 moveto
+655 109 lineto
+793 109 lineto
+793 88 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+663 95.5 moveto 122 (ValuedUserInfo< string >) alignedtext
+grestore
+% Node9->Node14
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 527 160 moveto
+541 154 558 148 574 143 curveto
+613 131 658 118 688 109 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 525.57 156.77 moveto
+517 163 lineto
+527.58 163.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 525.57 156.77 moveto
+517 163 lineto
+527.58 163.48 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+577 150.5 moveto 50 (< string >) alignedtext
+grestore
+% Node16
+gsave
+[ /Rect [ 659 38 789 58 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classValuedUserInfo.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 659 37 moveto
+659 58 lineto
+790 58 lineto
+790 37 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 659 37 moveto
+659 58 lineto
+790 58 lineto
+790 37 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+666.5 44.5 moveto 115 (ValuedUserInfo< bool >) alignedtext
+grestore
+% Node9->Node16
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 511 157 moveto
+537 139 574 112 574 111 curveto
+615 89 664 69 695 58 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 508.9 154.2 moveto
+503 163 lineto
+513.1 159.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 508.9 154.2 moveto
+503 163 lineto
+513.1 159.8 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+580.5 118.5 moveto 43 (< bool >) alignedtext
+grestore
+% Node11
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 838 212 moveto
+838 233 lineto
+898 233 lineto
+898 212 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 838 212 moveto
+838 233 lineto
+898 233 lineto
+898 212 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+846 219.5 moveto 44 (DoubleUI) alignedtext
+grestore
+% Node10->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 806 223 moveto
+818 223 829 223 838 223 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 806 219.5 moveto
+796 223 lineto
+806 226.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 806 219.5 moveto
+796 223 lineto
+806 226.5 lineto
+closepath stroke
+grestore
+% Node13
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 849 138 moveto
+849 159 lineto
+887 159 lineto
+887 138 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 849 138 moveto
+849 159 lineto
+887 159 lineto
+887 138 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+857 145.5 moveto 22 (IntUI) alignedtext
+grestore
+% Node12->Node13
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 796 149 moveto
+816 149 835 149 849 149 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 796 145.5 moveto
+786 149 lineto
+796 152.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 796 145.5 moveto
+786 149 lineto
+796 152.5 lineto
+closepath stroke
+grestore
+% Node15
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 841 88 moveto
+841 109 lineto
+895 109 lineto
+895 88 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 841 88 moveto
+841 109 lineto
+895 109 lineto
+895 88 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+849 95.5 moveto 38 (StringUI) alignedtext
+grestore
+% Node14->Node15
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 803 99 moveto
+817 99 830 99 841 99 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 803 95.5 moveto
+793 99 lineto
+803 102.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 803 95.5 moveto
+793 99 lineto
+803 102.5 lineto
+closepath stroke
+grestore
+% Node17
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 845 37 moveto
+845 58 lineto
+892 58 lineto
+892 37 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 845 37 moveto
+845 58 lineto
+892 58 lineto
+892 37 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+852.5 44.5 moveto 31 (BoolUI) alignedtext
+grestore
+% Node16->Node17
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 800 48 moveto
+817 48 833 48 845 48 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 800 44.5 moveto
+790 48 lineto
+800 51.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 800 44.5 moveto
+790 48 lineto
+800 51.5 lineto
+closepath stroke
+grestore
+% Node18->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 566 231 moveto
+594 230 625 228 653 227 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 565.6 227.52 moveto
+556 232 lineto
+566.3 234.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 565.6 227.52 moveto
+556 232 lineto
+566.3 234.49 lineto
+closepath stroke
+grestore
+% Node19->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 556 109 moveto
+580 111 606 115 630 119 curveto
+652 124 676 131 695 138 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 556.3 105.51 moveto
+546 108 lineto
+555.6 112.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 556.3 105.51 moveto
+546 108 lineto
+555.6 112.48 lineto
+closepath stroke
+grestore
+% Node20->Node14
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 563 49 moveto
+585 50 609 53 630 58 curveto
+639 61 640 64 648 67 curveto
+664 75 682 82 696 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 563.3 45.51 moveto
+553 48 lineto
+562.6 52.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 563.3 45.51 moveto
+553 48 lineto
+562.6 52.48 lineto
+closepath stroke
+grestore
+% Node21->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 558 333 moveto
+582 331 607 328 630 322 curveto
+660 313 691 295 709 284 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 558 329.5 moveto
+548 333 lineto
+558 336.5 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 558 329.5 moveto
+548 333 lineto
+558 336.5 lineto
+closepath stroke
+grestore
+% Node22->Node16
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 560 20 moveto
+583 23 607 27 630 30 curveto
+643 32 656 35 669 37 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 560.49 16.53 moveto
+550 18 lineto
+559.12 23.39 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 560.49 16.53 moveto
+550 18 lineto
+559.12 23.39 lineto
+closepath stroke
+grestore
+% Node23->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 560 360 moveto
+588 356 620 352 649 348 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 559.6 356.52 moveto
+550 361 lineto
+560.3 363.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 559.6 356.52 moveto
+550 361 lineto
+560.3 363.49 lineto
 closepath stroke
 grestore
@@ -449,5 +1514,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 266 258
+%%BoundingBox: 36 36 942 425
 end
 restore
